<template>
  <component
    :is="tag"
    class="leave-group-btn"
    @keydown.enter="$dialog.showModal(ConfirmLeaveDialog, { contentProps: { chat } })"
    @click="$dialog.showModal(ConfirmLeaveDialog, { contentProps: { chat } })"
  >
    <JIcon
      size="24px"
      icon="leave"
      viewBox="1 -1 22 22"
    />
    <span class="label">{{ $t('leave_group') }}</span>
  </component>
</template>

<script setup lang="ts">
import { PropType } from 'vue';
import { JIcon } from '@new-jira-clone/ui/src/components';
import { IChat } from '@/shared';
import ConfirmLeaveDialog from './ConfirmLeaveDialog.vue';

defineProps({
  chat: {
    type: Object as PropType<IChat>,
    required: true,
  },
  tag: {
    type: [String, Object],
    default: 'div',
  },
});
</script>

<style lang="scss" scoped>
.label {
  margin-left: 6px;
}

.leave-group-btn {
  display: flex;
  align-items: center;
}
</style>
